#!/bin/sh
#   begin_generated_IBM_prolog                                          
#                                                                       
#   prolog.pro.samp.telcosp                                                 
#   ******************************************************************  
#   IBM Sample Source Materials                                         
#                                                                       
#   Sample source materials are supplied As-Is.                         
#   No warranty is expressed or implied.                                
#                                                                       
#   Product(s): 5724-O05                                             
#                                                                       
#   Copyright IBM Corp. 2000, 2009                                      
#                                                                       
#   The source code for this program supplied under the terms of the    
#   End User License Agreement (EULA) that accompanied this product.    
#   ******************************************************************  
#                                                                       
#   end_generated_IBM_prolog  

#------------------------------------------------------------------
# Display information to user
#------------------------------------------------------------------

function printUsage {

  #clear
  echo "This script is being used for removal of the WebSphere SIBus tables, it is being used when a datastore"
  echo "message engine is being used and the tables "
  echo "Usage: dropDB2SIBusSchemas.sh javaHome jarFullName jdbcJarsDir dbUser dbPassword dbServerName"
  echo "                    dbName dbPort dbSchemaFile"
  echo ""
  echo "	1) java home directory: e.g. /opt/IBM/WebSphere/AppServer/java/bin"
  echo "	2) jar Full name: The DB jar full path"
  echo "	3) jdbc jars directory. e.g. /opt/db2_jars"
  echo "	4) the database user e.g. root"
  echo "	5) the database password e.g. password"
  echo "	6) the database server name, e.g. serv1"
  echo "	7) the database name, e.g. SIBus"
  echo "	8) the database port, e.g. 50000"
  echo "	9) full path to the file that contains the bus schemas list"
  
}

if [ $# -ne 9 ]; then
		printUsage
		exit 2
fi	

JAVA_HOME=$1
JAR_FULL_NAME=$2
JDBC_JARS_DIRECTORY=$3
DB_USER=$4
DB_PASSWORD=$5
DB_SERVER_NAME=$6
DB_NAME=$7
DB_PORT=$8
DB_SCHEMA_FILE=$9


if [ ! -r $JAR_FULL_NAME ]; then
		printUsage
		exit 2
fi	

if [ ! -d $JDBC_JARS_DIRECTORY ]; then
		printUsage
		exit 2
fi	

if [ ! -r $JAVA_HOME/bin/java ]; then
		printUsage
		exit 2
fi	

if [ ! -r $DB_SCHEMA_FILE ]; then
		printUsage
		exit 2
fi	

cat $DB_SCHEMA_FILE|while read line 
do
	echo "$JAVA_HOME/bin/java -cp $JAR_FULL_NAME presence.server.bus.DeleteSchema DB2 $JDBC_JARS_DIRECTORY $DB_USER $DB_PASSWORD "" $DB_SERVER_NAME $DB_NAME $DB_PORT $line"
	$JAVA_HOME/bin/java -cp $JAR_FULL_NAME presence.server.bus.DeleteSchema DB2 $JDBC_JARS_DIRECTORY $DB_USER $DB_PASSWORD "" $DB_SERVER_NAME $DB_NAME $DB_PORT $line
done
