------------------------------------------------
-- DDL Statements for table "CONFIG"
------------------------------------------------
 
 CREATE TABLE "CONFIG"  (
		  "KEY" VARCHAR(255) NOT NULL , 
		  "VALUE" CLOB NOT NULL );

------------------------------------------------
-- DDL Statements for table "PUBLISH"
------------------------------------------------
 
 CREATE TABLE "PUBLISH"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) NOT NULL, 
		  "SEGMENTID" VARCHAR(100) NOT NULL, 
		  "DOCTYPE" VARCHAR(100) , 
		  "DOCUMENT" VARCHAR(7000) ,
		  "EXPIRATION" INT ) IN ST8KTS;

 ALTER TABLE "PUBLISH" 
	ADD PRIMARY KEY
		("PRESENCEID", 
		 "PRESENCETYPE", 
		 "SEGMENTID");
		  
------------------------------------------------
-- DDL Statements for table "FULLDOC"
------------------------------------------------
 
 CREATE TABLE "FULLDOC"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) NOT NULL , 
		  "DOCTYPE" VARCHAR(100) , 
		  "DOC_SMALL" VARCHAR(7000) , 
		  "DOCUMENT" CLOB , 
		  "ATTRIBUTES" VARCHAR(100) ,
		  "ETAG" VARCHAR(100) ,
		  "EXPIRATION" INT ,
		  "VERSION" BIGINT ) IN ST8KTS;

-- DDL Statements for primary key on Table "FULLDOC"

ALTER TABLE "FULLDOC" 
	ADD PRIMARY KEY
		("PRESENCEID",
		 "PRESENCETYPE");

------------------------------------------------
-- DDL Statements for table "MANAGING_SERVERS"
------------------------------------------------
 
 CREATE TABLE "MANAGING_SERVERS"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "MANAGEDTYPES" CHAR(8) FOR BIT DATA NOT NULL ,
		  "READYTYPES" CHAR(8) FOR BIT DATA NOT NULL , 
		  "MANAGINGSERVER" VARCHAR(100) , 
		  "INTERESTEDSERVERS" VARCHAR(3000) , 
		  "VERSION" INT) IN ST4KTS2;
		  
-- DDL Statements for primary key on Table "MANAGING_SERVERS"

ALTER TABLE "MANAGING_SERVERS" 
	ADD PRIMARY KEY
		("PRESENCEID");

------------------------------------------------
-- DDL Statements for table "WATCHERS"
------------------------------------------------
 
 CREATE TABLE "WATCHERS"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) NOT NULL , 
		  "WATCHERID" VARCHAR(255) NOT NULL, 
		  "WATCHERURI" VARCHAR(255) NOT NULL,
		  "DISPLAYNAME" VARCHAR(255), 
		  "STATUS" INT ,
		  "EVENT" INT ,
		  "SUBSCRIPTIONIDS" VARCHAR(1500), 
		  "EXPIRATION" INT,
		  "CREATIONTIME" BIGINT,		  
		  "VERSION" BIGINT) IN ST4KTS2;


-- DDL Statements for primary key on Table "WATCHERS"
ALTER TABLE "WATCHERS" 
	ADD PRIMARY KEY
		("PRESENCEID",
		 "PRESENCETYPE",
		 "WATCHERURI");


------------------------------------------------
-- DDL Statements for table "PRESENCE_AUTH_RULES"
------------------------------------------------
 
 CREATE TABLE "PRESENCE_AUTH_RULES"  (
		  "PRESENCE_ID" VARCHAR(255) NOT NULL , 
		  "RULE_SET" BLOB NOT NULL, 
		  "VALIDITY_CHANGE_TIME" BIGINT) IN ST4KTS2;

-- DDL Statements for primary key on Table "PRESENCE_AUTH_RULES"

ALTER TABLE "PRESENCE_AUTH_RULES" 
	ADD PRIMARY KEY
		("PRESENCE_ID");



------------------------------------------------
-- DDL Statements for table "SUBSCRIPTIONS"
------------------------------------------------
 
 CREATE TABLE "SUBSCRIPTIONS"  (
		  "SESSIONID" VARCHAR(255) NOT NULL , 
		  "PRESENTITYID" VARCHAR(255) NOT NULL , 
		  "SUBSCRIPTION" BLOB NOT NULL) IN ST8KTS;

-- DDL Statements for primary key on Table "SUBSCRIPTIONS"

ALTER TABLE "SUBSCRIPTIONS" 
	ADD PRIMARY KEY
		("SESSIONID");


CREATE INDEX "PExp"
  ON "PUBLISH" ("EXPIRATION" ASC) ;
  
CREATE INDEX "ATTRIBUTESExp"
  ON "FULLDOC" ("EXPIRATION" ASC) ;
  
CREATE INDEX "PFIDPType"
  ON "FULLDOC" ("PRESENCEID" ASC, "PRESENCETYPE" ASC , "VERSION" ASC);
  
CREATE INDEX "Managing"
  ON "MANAGING_SERVERS" ("PRESENCEID" ASC, "VERSION" ASC);

CREATE INDEX "Watchers"
  ON "WATCHERS" ("PRESENCEID" ASC, "PRESENCETYPE" ASC , "WATCHERURI" ASC, "VERSION" ASC);
  
CREATE INDEX "WatchersGiveup"
  ON "WATCHERS" ("EXPIRATION" DESC);

CREATE INDEX "ExpiredRules"
  ON "PRESENCE_AUTH_RULES" ("VALIDITY_CHANGE_TIME" ASC);
  
CREATE INDEX "Subscriptions"
  ON "SUBSCRIPTIONS" ("PRESENTITYID" ASC);
 
COMMIT WORK;

