#!/bin/sh
#   begin_generated_IBM_prolog                                          
#                                                                       
#   prolog.pro.samp.telcosp                                                 
#   ******************************************************************  
#   IBM Sample Source Materials                                         
#                                                                       
#   Sample source materials are supplied As-Is.                         
#   No warranty is expressed or implied.                                
#                                                                       
#   Product(s): 5724-O05                                             
#                                                                       
#   Copyright IBM Corp. 2000, 2009                                      
#                                                                       
#   The source code for this program supplied under the terms of the    
#   End User License Agreement (EULA) that accompanied this product.    
#   ******************************************************************  
#                                                                       
#   end_generated_IBM_prolog                                          

#  Script for Presence Server 7.0 DB2 Automatic Data Base Setup

#The goal of the RunConfigDB2.sh script is to automate the process of database and #tables creation for the Presence Server. This #script replaces the manual #DB #setup as described in PS InfoCenter : #http://publib.boulder.ibm.com/infocenter/wtelecom/v6r1/index.jsp?#topic=/com.ibm.presence.doc/com_prereqs.html
#The script run shell script for #creation/overwrite database, Presence tables and #Usage Record tables.

#To use the script, follow the steps below:
#1.Login as a database administrator to DB2 server machine.
#2.Create a directory with write and execute permission (e.g. DB_dir)
#3.Copy IBMWebSpherePresenceServer.tar file  to the directory created in step 2 (e.g. DB_dir).
#4.Change directory  to the directory created in step 2 (e.g. DB_dir).
#5.Untar IBMWebSpherePresenceServer.tar file using  following the command: tar -xvf  IBMWebSpherePresenceServer.tar
#6.Change directory to the  /installableApps/presence/scripts/dbScripts.
#7.Update the RunConfigDB2.sh script variable values according to your specific environment.
#The values are listed under the line: "Update command line parameters here".
#For more information about the parameters, see the list of command line parameters below.
#8.Run the RunConfigDB2.sh script.

#List of command line parameters:
# 1.Database server hostname (dbServer)	          - DBSERVER  (don't write # domain name if you run the script on db2 server #machine)
# 2.Database server connection port (dbPort)	  - DBPORT    (default # value=50000)
# 3.Database name (dbName)	                  - DBNAME
# 4.Database alias (dbAlias)	                  - DBALIAS
# 5.Database locale (dbLocale)	                  - DBLOCALE
# 6.Database server instance id (dbInstance)      - DBINSTANCE
# 7.Database server instance password (dbInstancPW)-DBINSTANCPW
# 8.Database userid (dbUser)	                  - DBUSER
# 9.Database userid password (dbUserPW)	          - DBUSERPW
# 10.Path and file name of DDL file (ddlFile)	  - DDLFILE
# 11.New database directory (dbDir)	          - DBDIR       (should be # writable directory)
# 12.Database (re)create (dbCreate)	          - DBCREATE   (TRUE for # create, FALSE for update, case sensitive)

#Update command line parameters here.Fill the relevant values instead #example values:
DBSERVER=<hostname>
DBPORT=50000
DBNAME=PSCIDB
DBALIAS=PSCIDB
DBLOCALE=US
DBINSTANCE=db2inst
DBINSTANCPW=<pw>
DBUSER=db2inst
DBUSERPW=<pw>
DBDIR=/home/db2inst
DBCREATE=TRUE

chmod 777 ConfigDB2.sh

# Create Presence Server tables
echo "" | ./ConfigDB2.sh $DBSERVER $DBPORT $DBNAME $DBALIAS $DBLOCALE $DBINSTANCE $DBINSTANCPW $DBUSER $DBUSERPW "" $DBDIR $DBCREATE
