#!/bin/sh
#   begin_generated_IBM_prolog                                          
#                                                                       
#   prolog.pro.samp.telcosp                                                 
#   ******************************************************************  
#   IBM Sample Source Materials                                         
#                                                                       
#   Sample source materials are supplied As-Is.                         
#   No warranty is expressed or implied.                                
#                                                                       
#   Product(s): 5724-O05                                             
#                                                                       
#   Copyright IBM Corp. 2000, 2009                                      
#                                                                       
#   The source code for this program supplied under the terms of the    
#   End User License Agreement (EULA) that accompanied this product.    
#   ******************************************************************  
#                                                                       
#   end_generated_IBM_prolog                                             

#  Script for Presence Server 7.0 Oracle Automatic Data Base Setup

#The goal of the RunConfigOracle.sh script is to automate the process of database and #tables creation for the Presence Server. This #script replaces the manual #DB #setup as described in PS InfoCenter : #http://publib.boulder.ibm.com/infocenter/wtelecom/v6r1/index.jsp?#topic=/com.ibm.presence.doc/com_prereqs.html
#The script run shell script for #creation/overwrite database, Presence tables and #Usage Record tables.

#To use the script, follow the steps below:

#1.Login as a database administrator to Oracle server machine.
#2.Create a directory with write and execute permission (e.g. DB_dir)
#3.Copy IBMWebSpherePresenceServer.tar file  to the directory created in step 2 (e.g. DB_dir).
#4.Change directory  to the directory created in step 2 (e.g. DB_dir).
#5.Untar IBMWebSpherePresenceServer.tar file using  following the command: tar -xvf  IBMWebSpherePresenceServer.tar
#6.Change directory to the  /installableApps/presence/scripts/dbScripts.
#7.Update the RunConfigOracle.sh script variable values according to your specific environment.
#The values are listed under the line: "Update command line parameters here".
#For more information about the parameters, see the list of command line parameters below.
#8.Run the RunConfigOracle.sh script.


#List of command line parameters:
# 1.Database name (dbName)                        - DBNAME
# 2.Database userid (dbUser)	                  - DBUSER
# 3.Database userid password (dbUserPW)	          - DBUSERPW
# 4.Path and file name of DDL file (ddlFile)	  - DDLFILE


#Update command line parameters below.Fill the relevant values instead example values:
DBNAME=PSDB
DBUSER=<user name>
DBUSERPW=<pw>

export PATH=$PATH:/u01/bin

chmod 777 ConfigOracle.sh

# Create Presence Server tables
echo "" | ./ConfigOracle.sh $DBNAME $DBUSER $DBUSERPW CreateOracleTables.ddl
