-- - prologDb2.ddl start ---------------------------------------------
-- Version: 1.13
-- -------------------------------------------------------------------
-- DDL for WebSphere Telecom Web Services Server 7.0.0.1 - 20101117.1 20101117.1514
--
-- - prologDb2.ddl end -----------------------------------------------

------------------------------------------------
-- DDL Statements for table USAGERECORDS
------------------------------------------------

-- DROP TABLE USAGERECORDS;

CREATE BUFFERPOOL USAGEDB32KBP all nodes SIZE 10000 AUTOMATIC PAGESIZE 32K;

CREATE TABLESPACE USAGEDB32KTS PAGESIZE 32K MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 256 PREFETCHSIZE 64 BUFFERPOOL USAGEDB32KBP NO FILE SYSTEM CACHING;


 
CREATE TABLE USAGERECORDS
  (RECORDID CHAR(38) NOT NULL, 
   SEGMENT SMALLINT NOT NULL, 
   GLOBALID VARCHAR(127), 
   SERVICE VARCHAR(127), 
   HOST    VARCHAR(255), 
   EVENTTYPE VARCHAR(127), 
   RECORDTIME TIMESTAMP, 
   STATUSCODE INTEGER, 
   SERVICEDATA VARCHAR(7000) ) in USAGEDB32KTS;

-- DDL Statements for primary key on Table "USAGERECORDS"

ALTER TABLE USAGERECORDS 
  ADD CONSTRAINT "CC1138311823119" PRIMARY KEY (RECORDID, SEGMENT);

-- Comments for the Table

COMMENT ON TABLE USAGERECORDS IS 'Usage records table.';

COMMENT ON COLUMN USAGERECORDS.RECORDID IS 'Unique record identifier.';
COMMENT ON COLUMN USAGERECORDS.SEGMENT IS 'Usage record segment count.';
COMMENT ON COLUMN USAGERECORDS.GLOBALID IS 'Global transaction identifier that created this usage record.';
COMMENT ON COLUMN USAGERECORDS.SERVICE IS 'Service that created this usage record.';
COMMENT ON COLUMN USAGERECORDS.HOST IS 'Hostname where usage record was record.';
COMMENT ON COLUMN USAGERECORDS.EVENTTYPE IS 'Type of event for this usage record.';
COMMENT ON COLUMN USAGERECORDS.RECORDTIME IS 'Timestamp when this event occurred.';
COMMENT ON COLUMN USAGERECORDS.STATUSCODE IS 'Status of the usage record.';
COMMENT ON COLUMN USAGERECORDS.SERVICEDATA IS 'Usage record data.';

QUIT;
