#!/bin/sh
#   begin_generated_IBM_prolog                                          
#                                                                       
#   prolog.pro.samp.telcosp                                                 
#   ******************************************************************  
#   IBM Sample Source Materials                                         
#                                                                       
#   Sample source materials are supplied As-Is.                         
#   No warranty is expressed or implied.                                
#                                                                       
#   Product(s): 5724-O05                                             
#                                                                       
#   Copyright IBM Corp. 2000, 2009                                      
#                                                                       
#   The source code for this program supplied under the terms of the    
#   End User License Agreement (EULA) that accompanied this product.    
#   ******************************************************************  
#                                                                       
#   end_generated_IBM_prolog   

######################################################
#
#
# Objective:
#	Eliminating downtime while updating minor release (iFix/FixPack) of the Presence Server. 
#	This script utilizes WebSphere capabilities for application rollout update in order to update the Presence Server.
#
# Usage:
#	PresenceServerRollout.hs -dmgrProfile [WAS dmgr path] -username [WAS admin user] -password [WAS admin password] -psear [PS ear path]
#
#	WAS dmgr path:
#		- The path of WebSphere manager of the Present Server cluster
#	WAS admin user:
#		- WebSphere username that has application update permission
#	WAS admin password:
#		- WebSphere user password that has application update permission
#	PS ear path:
#		- The path of the Presence Server EAR file to update
#	example:
#	PresenceServerRollout.sh -dmgrProfile /opt/IBM/WebSphere/AppServer/profiles/Dmgr01 -username admin -password 1234 -psear /opt/PS_EAR
#
# Author:
#       Lior Solomon
#
# Date:
#	4-Jan-2009
#
######################################################


TEST_VAR=0

for arg in $*
do
#echo "The arguments asked for: $1"
case $1 in
	-dmgrProfile)
	shift 1
	WAS_DMGR_DIR=$1
        ((TEST_VAR += 1))
	;;
        -username)
        shift 1
        WAS_USER=$1
	((TEST_VAR += 1))
        ;;
        -password)
        shift 1
        WAS_PASS=$1
        ((TEST_VAR += 1))
        ;;
        -psear)
        shift 1
        PS_EAR_PATH=$1
        ((TEST_VAR += 1))
        ;;

esac

shift 1
done

if [ $TEST_VAR -eq 4 ]
then


echo *******************************************
echo
echo "${WAS_DMGR_DIR}/bin/wsadmin.sh -username ${WAS_USER} -password ${WAS_PASS} -c \"AdminApp.update('Presence Server', 'app', '[-operation update -contents ${PS_EAR_PATH}/IBMWebSpherePresenceServer.ear -usedefaultbindings]')\" -c \"AdminConfig.save()\" -c \"AdminTask.updateAppOnCluster ('[-ApplicationNames ["Presence Server"] -timeout 600]')\"" -lang jython
echo
echo "*******************************************"
echo "*	Start Presence Server rollout update	*"
echo "*******************************************"

${WAS_DMGR_DIR}/bin/wsadmin.sh -username ${WAS_USER} -password ${WAS_PASS} -c "AdminApp.update('Presence Server', 'app', '[-operation update -contents ${PS_EAR_PATH}/IBMWebSpherePresenceServer.ear -usedefaultbindings]')" -c "AdminConfig.save()" -c "AdminTask.updateAppOnCluster ('[-ApplicationNames [\"Presence Server\"] -timeout 600]')" -lang jython

echo "*******************************************"
echo "* Presence Server rollout update complete *"
echo "*******************************************"

else
        echo usge:
        echo PresenceServerRollout.sh -dmgrProfile [WAS dmgr path] -username [admin user] -password [admin password] -psear [PS ear path]
fi

